Set partner
Set the partner for the current shopping cart session. It's mandatory to set the partner for the current cart session to use all Channel Manager methods with the exception of login, getPartnerByCode, getPartnerSingleSignOn and searchPartners.
Request parameters
sessionID
Required (string) Session identifier, output of the Login method. An exception will be thrown if the values are incorrect.
partnerCode
Required (string) Unique identifier that you need to specify when creating a partner in the Control Panel. You can find it under the General Information area when editing partner details.
Request sample
<?php
require('PATH_TO_AUTH'); // Authentication example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/SOAP/02Authentication
$partnerCode = 'YOUR_PARTNER_CODE'; // the partner code assigned to the partner account you want to set
try {
$Partner= $client->setPartner($sessionID, $partnerCode);
} catch (SoapFault $e) {
echo "Partner: " . $e->getMessage();
exit;
}
var_dump ("Partner", $Partner);
?>Response parameters
Result
Boolean True or false
Errors
INVALID_PARTNER
Partner code is mandatory.
INVALID_PARTNER
Provided partner code is not associated with an active partner account in the Avangate system.
Last updated
Was this helpful?